* {
    font-family: "Poppins", Helvetica, sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    /* border: 1px solid red; */
}

body {
    overflow-y: scroll;
}

.sezione1 {
    display: flex;
    margin-top: 10%;
    margin-bottom: 10%;
}

.contenitore-intro {
    margin: 0 30% 0 15%;
    position: relative;
}

.contenitore-intro>h2 {
    font-size: 2.5rem;
    font-weight: 600;
    line-height: 25px;
    position: relative;
}

.scritta-arancione {
    color: #ff4500 !important;
    font-size: 1.8rem;
    font-style: italic;
    padding-top: 1%;
}

.freccia {
    position: absolute;
    width: 40%;
    transform: rotate(-70deg);
    margin-left: -5%;
}

.contenitore-corsi {
    padding: 5% 3% 5% 3%;
}

.prezzo {
    font-size: 1.8em;
    color: #fc9a2c;
    margin: 10px 0;
}

.bottone-acquista {
    font-size: 1.5rem;
    margin-top: 5%;
    color: #ffffff;
    background-color: #0000ff;
    cursor: pointer;
}

.contenitore-corsi {
    position: relative;
    width: 80%;
    margin: auto;
    overflow: hidden;
    padding-bottom: 5%;
    margin-bottom: 5%;
    
}

.slider {
    display: flex;
    width: 100%;
    transition: transform 0.5s ease-in-out;
    user-select: none;
}

.div-corsi {
    flex: 1 0 100%;
    margin-right: 5%;
    display: flex;
    flex-direction: row;
    border: 1px solid #fc9a2c;
    border-radius: 8px;
    overflow: hidden;
    text-align: center;
    cursor: grab;
}

.immagine-corsi {
    width: 100%;
}

.immagine-corsi img {
    width: 100%;
    height: 100%;
}

.descrizione-corsi {
    padding: 3%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    ;
}

.descrizione-corsi h2 {
    font-size: 2rem;
}

.descrizione-corsi p:first-of-type {
    padding-top: 3%;
    font-size: 1.2rem;
}

input[type="radio"] {
    display: none;
}

.nav {
    position: absolute;
    bottom: 10px;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    gap: 20px;
}

.nav label {
    display: block;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    background-color: #ccc;
    cursor: pointer;
}

input[type="radio"]:checked+label {
    background-color: #fc9a2c;
}

#slide1:checked~.slider {
    transform: translateX(0);
}

#slide2:checked~.slider {
    transform: translateX(-105%);
}

#slide3:checked~.slider {
    transform: translateX(-210%);
}

#slide4:checked~.slider {
    transform: translateX(-315%);
}

#slide1:checked ~ .nav label:nth-child(1),
#slide2:checked ~ .nav label:nth-child(2),
#slide3:checked ~ .nav label:nth-child(3),
#slide4:checked ~ .nav label:nth-child(4) {
  background-color: #fc9a2c;
}

.sezione4 {
    background-color: #e7e7e7;
    padding-top: 7%;
    padding-bottom: 5%;
}

.sezione4 h2 {
    padding-left: 10%;
    padding-bottom: 5%;
}

.contenitore-testimonianze {
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 15%;
}

.contenitore-testimonianza-singola {
    width: 30%;
    padding-top: 3%;
    padding-bottom: 3%;
}

.sezione4 h2 {
    font-size: 2rem;
}

.contenitore-testimonianze h3 {
    font-size: 1.5rem;
    padding-top: 5%;
    line-height: 1rem;
}

.contenitore-testimonianze p {
    font-size: 1.2rem;
    font-weight: 300;
    padding-top: 5%;
}

.immagine-testimonial {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    object-fit: cover;
}

.contenitore-bio-testimonial {
    display: flex;
    width: 100% !important;
    align-items: center;
    margin-top: 5%;
}

.contenitore-bio-testimonial div {
    width: 100%;
    padding-left: 5%;
    margin: 0;
}

.contenitore-bio-testimonial p {
    padding-top: 0;
    font-size: 1.5rem;
}

.ruolo {
    color: grey;
}

@media (max-width:768px) {
    .contenitore-intro > h2 {
        font-size: 2rem !important;
        line-height: 2rem !important;
    }

    .scritta-arancione {
        line-height: 1.5rem;
    }

    .contenitore-corsi {
        padding-top: 10%;
    }

    .div-corsi {
        flex-direction: column;
        margin-bottom: 5%; 
    }

    .descrizione-corsi {
        padding: 7%;
    }

    .prezzo {
        font-size: 1.5rem;
    }

    .slider {
        padding-bottom: 10%;
    }

    .contenitore-testimonianze {
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .sezione4 h2 {
        padding-right: 10% !important;
    }

    .contenitore-testimonianza-singola {
        width: 80% !important;
        padding-bottom: 10% !important;
    }

    .contenitore-testimonianza-singola > img:first-of-type {
        height: 25px;
    }

    .contenitore-testimonianza-singola h3 {
        font-size: 1.5rem !important;
        line-height: 1.4rem !important;
    }

    .contenitore-testimonianza-singola p {
        font-size: 1.2rem !important;
    }

    .contenitore-bio-testimonial div {
        width: 100% !important;
    }
}


